objfw-config(1)

NAME
objfw-config - print flags required for compiling with ObjFW

SYNOPSIS
objfw-config [options]

DESCRIPTION
objfw-config is a program which outputs various flags needed to compile software using ObjFW.

OPTIONS

--all
    Outputs all flags + libs.

--arc
    Outputs the required OBJCFLAGS to use ARC.

--cflags
    Outputs the required CFLAGS.

--cppflags
    Outputs the required CPPFLAGS.

--cxxflags
    Outputs the required CXXFLAGS.

--framework-libs
    Outputs the required LIBS, preferring frameworks.

--help
    Prints the help.

--ldflags
    Outputs the required LDFLAGS.

--libs
    Outputs the required LIBS.

--lib-cflags
    Outputs CFLAGS for building a library.

--lib-ldflags
    Outputs LDFLAGS for building a library.

--lib-prefix
    Outputs the prefix for libraries.

--lib-suffix
    Outputs the suffix for libraries.

--objc
    Outputs the OBJC used to compile ObjFW. It is required to use the same OBJC that was used to compile ObjFW.

--objcflags
    Outputs the required OBJCFLAGS.

--package name
    Additionally outputs the flags for the specified package.

--packages-dir
    Outputs the directory where flags for packages are stored.

--plugin-cflags
    Outputs CFLAGS for building a plugin.

--plugin-ldflags
    Outputs LDFLAGS for building a plugin.

--plugin-suffix
    Outputs the suffix for plugins.

--prog-suffix
    Outputs the suffix for binaries.

--reexport
    Outputs LDFLAGS to reexport ObjFW.

--rpath
    Outputs LDFLAGS for using rpath.

--static-libs
    Outputs the required LIBS to link ObjFW statically.

--version
    Outputs the installed ObjFW version.

EXAMPLES
Print OBJCFLAGS and CPPFLAGS:

    objfw-config --objcflags --cppflags

Print LIBS and LDFLAGS for ObjFW and ObjFWTLS:

    objfw-config --libs --ldflags --package ObjFWTLS

SEE ALSO
objfw-compile(1)